com.gisgraphy.domain.geoloc.entity.event

## Class GisFeatureEventListener

- java.lang.Object
- - com.gisgraphy.domain.geoloc.entity.event.GisFeatureEventListener

- All Implemented Interfaces:
    IEventListener

      @Component
      public class GisFeatureEventListener
      extends Object
      implements IEventListener

  Basic implementation that must be aware of `GisFeatureEvent`s. It will syncronized the database with the full text search engine
  Author:
    David Masclet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GisFeatureEventListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleEvent(IEvent event)`
    `void` | `setSolRSynchroniser(ISolRSynchroniser solRSynchroniser)`
    `boolean` | `supports(IEvent event)` Whether the listeners support the specified event (is concerned)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GisFeatureEventListener

          public GisFeatureEventListener()

  - ### Method Detail

    - #### handleEvent

          public void handleEvent(IEvent event)

      Specified by:
        `handleEvent` in interface `IEventListener`
      Parameters:
        `event` - The event to handle
      See Also:
        `IEvent`

    - #### supports

          public boolean supports(IEvent event)

      Description copied from interface: `IEventListener`
      Whether the listeners support the specified event (is concerned)
      Specified by:
        `supports` in interface `IEventListener`
      Parameters:
        `event` - the event to handle
      Returns:
        true if the listener is concerned by the event

    - #### setSolRSynchroniser

          public void setSolRSynchroniser(ISolRSynchroniser solRSynchroniser)

      Parameters:
        `solRSynchroniser` - The SolRSynchroniser to set

Copyright © 2015. All rights reserved.